# Interface methods for submodule: ConnectedRegionsMeshFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MeshToMeshFilterProxy as _MeshToMeshFilterProxy


# Interface methods for class: ConnectedRegionsMeshFilter
class ConnectedRegionsMeshFilterProxy(_MeshToMeshFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetExtractionMode(self, _arg: int) -> None:
		""""""
		...

	def GetExtractionMode(self) -> int:
		""""""
		...

	def SetExtractionModeToPointSeededRegions(self) -> None:
		""""""
		...

	def SetExtractionModeToCellSeededRegions(self) -> None:
		""""""
		...

	def SetExtractionModeToSpecifiedRegions(self) -> None:
		""""""
		...

	def SetExtractionModeToLargestRegion(self) -> None:
		""""""
		...

	def SetExtractionModeToAllRegions(self) -> None:
		""""""
		...

	def SetExtractionModeToClosestPointRegion(self) -> None:
		""""""
		...

	def InitializeSeedList(self) -> None:
		""""""
		...

	def AddSeed(self, id: int) -> None:
		""""""
		...

	def DeleteSeed(self, id: int) -> None:
		""""""
		...

	def InitializeSpecifiedRegionList(self) -> None:
		""""""
		...

	def AddSpecifiedRegion(self, id: int) -> None:
		""""""
		...

	def DeleteSpecifiedRegion(self, id: int) -> None:
		""""""
		...

	def SetClosestPoint(self, p: Sequence[float]) -> None:
		""""""
		...

	def GetClosestPoint(self, arg0: Sequence[float]) -> Sequence[float]:
		""""""
		...

	def GetNumberOfExtractedRegions(self) -> int:
		""""""
		...

